NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | List of all members
NXOpen.CAE.AeroStructures.LocalLaminate Class Reference

Represents a NXOpen.CAE.AeroStructures.LocalLaminate object. More...

Inheritance diagram for NXOpen.CAE.AeroStructures.LocalLaminate:
NXOpen.CAE.AeroStructures.Laminate NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Public Member Functions

unsafe int AddPly (NXOpen.PhysicalMaterial material, double thickness, NXOpen.Unit thicknessUnit, double angle, NXOpen.Unit angleUnit)
 Add a ply to the laminate. More...
 
unsafe int AddPlyByMaterialName (string materialName, double thickness, NXOpen.Unit thicknessUnit, double angle, NXOpen.Unit angleUnit)
 Add a ply to the laminate using a material name. More...
 
unsafe void SetBottomFiberDistance (double distance, NXOpen.Unit distanceUnit)
 Set bottom fiber distance More...
 
unsafe void SetInverted (bool inverted)
 Invert ply angles More...
 
unsafe void SetLaminateAngle (double angle, NXOpen.Unit angleUnit)
 Set laminate angle More...
 
unsafe void SetPlyAngle (int plyIndex, double angle, NXOpen.Unit angleUnit)
 Set the angle for the ply More...
 
unsafe void SetPlyMaterial (int plyIndex, NXOpen.PhysicalMaterial material)
 Set the Physical Material for the ply More...
 
unsafe void SetPlyMaterialByName (int plyIndex, string materialName)
 Set the Material for the ply by name More...
 
unsafe void SetPlyThickness (int plyIndex, double thickness, NXOpen.Unit thicknessUnit)
 Set the thickness for the ply More...
 
unsafe void SetReferencePlane (NXOpen.CAE.AeroStructures.Laminate.LamRefLoc location)
 Top|Middle|Bottom|Specify More...
 
unsafe void SetReferenceTemperature (double temperature, NXOpen.Unit temperatureUnit)
 Set reference temperature More...
 
unsafe void SetReversed (bool reversed)
 Reverse ply order More...
 
- Public Member Functions inherited from NXOpen.CAE.AeroStructures.Laminate
unsafe
NXOpen.CAE.AeroStructures.LocalLaminate 
CreateLocalLaminateByCopy ()
 Create an editable copy of the laminate More...
 
unsafe NXOpen.GeneralScalarTable GetABD ()
 The ABD matrix More...
 
unsafe double GetBendingShearModulus ()
 Bending Shear Modulus More...
 
unsafe NXOpen.GeneralScalarTable GetBendingYoungsModulus ()
 Bending Youngs Modulus More...
 
unsafe double GetBottomFiberDistance ()
 Fetch the bottom fiber distance More...
 
unsafe void GetInterlaminarShearStress (bool usePlyCoordinates, double[] opTemp, double[] nxx, double[] nyy, double[] nxy, double[] mxx, double[] myy, double[] mxy, double[] tsx, double[] tsy, out NXOpen.GeneralScalarTable stressYz, out NXOpen.GeneralScalarTable stressZx)
 Obtain interlaminar values per ply per LC (stress_yz, stress_zx) More...
 
unsafe double GetLaminateAngle ()
 Fetch the laminate angle in radians More...
 
unsafe void GetMaterialNames (out string[] materialNames)
 The list of material names More...
 
unsafe void GetMaterialPlyCount (int materialIndex, out int[] plies)
 Number of plies per orientation using given material (index) More...
 
unsafe void GetMaterialThickness (int materialIndex, out double[] thicknesses)
 Thickness of plies per orientation using given material (index) More...
 
unsafe NXOpen.GeneralScalarTable GetMid1 ()
 Mid1 More...
 
unsafe NXOpen.GeneralScalarTable GetMid2 ()
 Mid2 More...
 
unsafe NXOpen.GeneralScalarTable GetMid3 ()
 Mid3 More...
 
unsafe NXOpen.GeneralScalarTable GetMid4 ()
 Mid4 More...
 
unsafe void GetOrientations (out double[] orientations)
 The list of orientations used More...
 
unsafe double GetPlyAngle (int plyIndex)
 Ply angle More...
 
unsafe void GetPlyAngles (out double[] values)
 Ply angles More...
 
unsafe int GetPlyId (int plyIndex)
 Ply Id More...
 
unsafe void GetPlyIds (out int[] ids)
 Ply Ids More...
 
unsafe NXOpen.PhysicalMaterial GetPlyMaterial (int plyIndex)
 Ply material More...
 
unsafe string GetPlyMaterialName (int plyIndex)
 Ply material name More...
 
unsafe void GetPlyMaterialNames (out string[] names)
 Ply material names More...
 
unsafe void GetPlyMaterials (out NXOpen.PhysicalMaterial[] materials)
 Ply materials More...
 
unsafe double GetPlyThickness (int plyIndex)
 Ply thickness More...
 
unsafe void GetPlyThicknesses (out double[] values)
 Ply thicknesses More...
 
unsafe NXOpen.GeneralScalarTable GetPoissonsRatio ()
 Poissons Ratio More...
 
unsafe
NXOpen.CAE.AeroStructures.Laminate.LamRefLoc 
GetReferencePlane ()
 Top|Middle|Bottom|Specify More...
 
unsafe double GetReferenceTemperature ()
 Fetch the reference temperature More...
 
unsafe NXOpen.GeneralScalarTable GetShearModulus ()
 Shear Modulus More...
 
unsafe double GetSpecificHeat ()
 Specific Heat More...
 
unsafe NXOpen.GeneralScalarTable GetStiffnessA ()
 The A section of the ABD matrix More...
 
unsafe NXOpen.GeneralScalarTable GetStiffnessB ()
 The B section of the ABD matrix More...
 
unsafe NXOpen.GeneralScalarTable GetStiffnessD ()
 The D section of the ABD matrix More...
 
unsafe void GetStrainPerPly (bool usePlyCoordinates, double[] opTemp, double[] nxx, double[] nyy, double[] nxy, double[] mxx, double[] myy, double[] mxy, out NXOpen.GeneralScalarTable xxStrain, out NXOpen.GeneralScalarTable yyStrain, out NXOpen.GeneralScalarTable xyStrain)
 Obtain strain values per ply per LC More...
 
unsafe void GetStressPerPly (bool usePlyCoordinates, double[] opTemp, double[] nxx, double[] nyy, double[] nxy, double[] mxx, double[] myy, double[] mxy, out NXOpen.GeneralScalarTable xxStress, out NXOpen.GeneralScalarTable yyStress, out NXOpen.GeneralScalarTable xyStress)
 Obtain stress values per ply per LC More...
 
unsafe NXOpen.GeneralScalarTable GetThermalConductivityCoeff ()
 Thermal Conductivity Coefficient More...
 
unsafe NXOpen.GeneralScalarTable GetThermalExpansionCoeff ()
 Thermal Expansion Coefficient More...
 
unsafe NXOpen.GeneralScalarTable GetTransverseShear ()
 The transverse shear matrix More...
 
unsafe NXOpen.GeneralScalarTable GetYoungsModulus ()
 Youngs Modulus More...
 
unsafe bool IsInverted ()
 Ask if the ply signs are inverted More...
 
unsafe bool IsReversed ()
 Ask if the ply order is reversed More...
 
unsafe bool IsUsingPlyMaterial (int plyIndex)
 If this ply uses a ply material More...
 
unsafe void IsUsingPlyMaterials (out bool[] usingPlyMaterials)
 If plies use ply materials More...
 
unsafe void PrintLaminateInfo (bool plies, bool props, bool mats)
 Write out laminate information More...
 
unsafe string ToShorthandNotation ()
 Laminate shorthand notation More...
 
- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override void FreeResource ()
 Frees the object from memory. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.CAE.AeroStructures.Laminate
enum  LamRefLoc { Top, Middle, Bottom, Specify }
 Represents the laminate reference location More...
 
- Properties inherited from NXOpen.CAE.AeroStructures.Laminate
unsafe bool IsBalanced [get]
 Returns the laminate is balanced More...
 
unsafe bool IsSymmetric [get]
 Returns the laminate is symmetric More...
 
unsafe double MassDensity [get]
 Returns the mass density More...
 
unsafe double MassPerUnitArea [get]
 Returns the mass per unit area More...
 
unsafe int NumMaterials [get]
 Returns the number of distinct materials used More...
 
unsafe int NumPlies [get]
 Returns the number of plies More...
 
unsafe string PhysPropName [get]
 Returns the name of the laminate physical property. More...
 
unsafe double TotalThickness [get]
 Returns the total thickness of the composite More...
 

Detailed Description

Represents a NXOpen.CAE.AeroStructures.LocalLaminate object.

To obtain an instance of this class use CAE.AeroStructures.LaminateHelper

Created in NX1847.0.0

Member Function Documentation

unsafe int NXOpen.CAE.AeroStructures.LocalLaminate.AddPly ( NXOpen.PhysicalMaterial  material,
double  thickness,
NXOpen.Unit  thicknessUnit,
double  angle,
NXOpen.Unit  angleUnit 
)
inline

Add a ply to the laminate.

Always added to the end of the original stack.

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
material
thickness
thicknessUnitUnit for the thickness value, if a null reference (Nothing in Visual Basic) use default
angle
angleUnitUnit for the angle value, if a null reference (Nothing in Visual Basic) use default
Returns
unsafe int NXOpen.CAE.AeroStructures.LocalLaminate.AddPlyByMaterialName ( string  materialName,
double  thickness,
NXOpen.Unit  thicknessUnit,
double  angle,
NXOpen.Unit  angleUnit 
)
inline

Add a ply to the laminate using a material name.

Always added to the end of the original stack.

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
materialName
thickness
thicknessUnitUnit for the thickness value, if a null reference (Nothing in Visual Basic) use default
angle
angleUnitUnit for the angle value, if a null reference (Nothing in Visual Basic) use default
Returns
override void NXOpen.CAE.AeroStructures.LocalLaminate.FreeResource ( )
inlineprotectedvirtual

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX1847.0.0

License requirements: None.

Reimplemented from NXOpen.CAE.AeroStructures.Laminate.

unsafe void NXOpen.CAE.AeroStructures.LocalLaminate.SetBottomFiberDistance ( double  distance,
NXOpen.Unit  distanceUnit 
)
inline

Set bottom fiber distance

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
distance
distanceUnitUnit for the distance value, if a null reference (Nothing in Visual Basic) use default
unsafe void NXOpen.CAE.AeroStructures.LocalLaminate.SetInverted ( bool  inverted)
inline

Invert ply angles

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
inverted
unsafe void NXOpen.CAE.AeroStructures.LocalLaminate.SetLaminateAngle ( double  angle,
NXOpen.Unit  angleUnit 
)
inline

Set laminate angle

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
angle
angleUnitUnit for the angle value, if a null reference (Nothing in Visual Basic) use default
unsafe void NXOpen.CAE.AeroStructures.LocalLaminate.SetPlyAngle ( int  plyIndex,
double  angle,
NXOpen.Unit  angleUnit 
)
inline

Set the angle for the ply

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndex
angle
angleUnitUnit for the angle value, if a null reference (Nothing in Visual Basic) use default
unsafe void NXOpen.CAE.AeroStructures.LocalLaminate.SetPlyMaterial ( int  plyIndex,
NXOpen.PhysicalMaterial  material 
)
inline

Set the Physical Material for the ply

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndex
material
unsafe void NXOpen.CAE.AeroStructures.LocalLaminate.SetPlyMaterialByName ( int  plyIndex,
string  materialName 
)
inline

Set the Material for the ply by name

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndex
materialName
unsafe void NXOpen.CAE.AeroStructures.LocalLaminate.SetPlyThickness ( int  plyIndex,
double  thickness,
NXOpen.Unit  thicknessUnit 
)
inline

Set the thickness for the ply

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndex
thickness
thicknessUnitUnit for the thickness value, if a null reference (Nothing in Visual Basic) use default
unsafe void NXOpen.CAE.AeroStructures.LocalLaminate.SetReferencePlane ( NXOpen.CAE.AeroStructures.Laminate.LamRefLoc  location)
inline

Top|Middle|Bottom|Specify

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
location
unsafe void NXOpen.CAE.AeroStructures.LocalLaminate.SetReferenceTemperature ( double  temperature,
NXOpen.Unit  temperatureUnit 
)
inline

Set reference temperature

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
temperature
temperatureUnitUnit for the temperature value, if a null reference (Nothing in Visual Basic) use default
unsafe void NXOpen.CAE.AeroStructures.LocalLaminate.SetReversed ( bool  reversed)
inline

Reverse ply order

Created in NX1847.0.0

License requirements: sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
reversed

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.